SDL_GetCameraName(3)

NAME
SDL_GetCameraName - Get the human-readable device name for a camera.

HEADER FILE
Defined in SDL3/SDL_camera.h

SYNOPSIS
#include "SDL3/SDL.h"

const char * SDL_GetCameraName(SDL_CameraID instance_id);

FUNCTION PARAMETERS

instance_id
    the camera device instance ID.

RETURN VALUE
Returns a human-readable device name or NULL on failure; call SDL_GetError () for more information.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_GetCameras(3)